Error exit status 10 313



Cannot install proprietary NVIDIA driver

Affects Status Importance Assigned to Milestone
nvidia-graphics-drivers-440 (Ubuntu)

Bug Description

1) Distro: Kubuntu 20.04

2) Package version: nvidia-driver-440 version «440.82+ really. 440.64- 0ubuntu6»

I have started the driver management from system settings, selected «Using NVIDIA driver metapackage from nvidia-driver-440 (proprietary, tested).

3) What I expected to happen: The proprietary driver should be installed. OpenCL should work (e.g. for darktable).

4) What happened instead: An error window pops up. Title: «Error wh. changes», content: «pk-client- error-quark: Error while installing package: >>neues libnidia-gl-440 (313)».
The additional drivers selector still shows «Using X.ORg X server — Nouveau display driver from xserver- xorg-nouveau (open source)», although this package is NOT installed.
Checking with muon, it shows that some nvidia 440 related packages have been installed, but nvidia-driver-440 is shown with status ‘corrupt’ (‘Defekt’ in German). The packages libnvidia-ifr1-440 and libnvidia-ifr1-440 are also shown with status ‘corrupt’.
Discover offers ‘libnvidia-gl-440 version 440.82+ really. 440.64- 0ubuntu6’ , but that cannot be installed.

Trying to clear up the situation on the commandline results in:
«sudo apt install -f
Paketlisten werden gelesen. Fertig
Abhängigkeitsbaum wird aufgebaut.
Statusinformationen werden eingelesen. Fertig
Abhängigkeiten werden korrigiert . Fertig
Die folgenden zusätzlichen Pakete werden installiert:
libnvidia-gl-440 libnvidia- gl-440: i386
Die folgenden NEUEN Pakete werden installiert:
libnvidia-gl-440 libnvidia- gl-440: i386
0 aktualisiert, 2 neu installiert, 0 zu entfernen und 0 nicht aktualisiert.
63 nicht vollständig installiert oder entfernt.
Es müssen noch 0 B von 79,6 MB an Archiven heruntergeladen werden.
Nach dieser Operation werden 281 MB Plattenplatz zusätzlich benutzt.
Möchten Sie fortfahren? [J/n]
(Lese Datenbank . 276127 Dateien und Verzeichnisse sind derzeit installiert.)
Vorbereitung zum Entpacken von . /libnvidia- gl-440_ 440.82+ really. 440.64- 0ubuntu6_ i386.deb .
Umleitung von /usr/lib/ i386-linux- gnu/libGL. so.1 zu /usr/lib/ i386-linux- gnu/libGL. so.1.distrib durch nvidia-340
dpkg-divert: Fehler: Keine Übereinstimmung mit Paket
beim Entfernen von »Umleitung von /usr/lib/ i386-linux- gnu/libGL. so.1 durch libnvidia-gl-440«
»Umleitung von /usr/lib/ i386-linux- gnu/libGL. so.1 zu /usr/lib/ i386-linux- gnu/libGL. so.1.distrib durch nvidia-340« gefunden
dpkg: Fehler beim Bearbeiten des Archivs /var/cache/ apt/archives/ libnvidia- gl-440_ 440.82+ really. 440.64- 0ubuntu6_ i386.deb (—unpack):
»neues libnvidia- gl-440: i386-Skript des Paketes pre-installatio n«-Unterprozess gab den Fehlerwert 2 zurück
Vorbereitung zum Entpacken von . /libnvidia- gl-440_ 440.82+ really. 440.64- 0ubuntu6_ amd64.deb .
Umleitung von /usr/lib/ x86_64- linux-gnu/ libGL.so. 1 zu /usr/lib/ x86_64- linux-gnu/ libGL.so. 1.distrib durch nvidia-340
dpkg-divert: Fehler: Keine Übereinstimmung mit Paket
beim Entfernen von »Umleitung von /usr/lib/ x86_64- linux-gnu/ libGL.so. 1 durch libnvidia-gl-440«
»Umleitung von /usr/lib/ x86_64- linux-gnu/ libGL.so. 1 zu /usr/lib/ x86_64- linux-gnu/ libGL.so. 1.distrib durch nvidia-340« gefunden
dpkg: Fehler beim Bearbeiten des Archivs /var/cache/ apt/archives/ libnvidia- gl-440_ 440.82+ really. 440.64- 0ubuntu6_ amd64.deb (—unpack):
»neues libnvidia- gl-440: amd64-Skript des Paketes pre-installatio n«-Unterprozess gab den Fehlerwert 2 zurück
Fehler traten auf beim Bearbeiten von:
/var/cache/ apt/archives/ libnvidia- gl-440_ 440.82+ really. 440.64- 0ubuntu6_ i386.deb
/var/cache/ apt/archives/ libnvidia- gl-440_ 440.82+ really. 440.64- 0ubuntu6_ amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)»

[Sorry for this being partially in German]

darktable shows OpenCL as being unavailable, even if the nvidia kernel modules (nvidia, nvidia_uvm, nvidia_modeset, nvidia_drm modeset=1) have been loaded.

Источник

Linux Mint Forums

Welcome to the Linux Mint forums!

[Solved?] Nvidia drivers won’t install after kernel update, was working before no issues

[Solved?] Nvidia drivers won’t install after kernel update, was working before no issues

Post by jtal » Fri Jan 15, 2021 6:47 pm

Disclaimer: Excuse the utter noobness that I will expose you to in this post.

Usually I would have found a solution on these forums or Ubuntu but it’s been a couple of days and for the life of me I cannot seem to get my NVIDIA drivers to work again after updating my linux kernel through the Update Manager.

Everything I do regarding drivers or updates I do through Linux Mint Driver Manager/Update Manager/etc. I rarely do anything in the terminal (until now that is).

The drivers were working beautifully prior to the update and I had even updated Nvidia from 455 to 460 through Driver Manager smoothly and without fault a couple of weeks back. However after the kernel update (the only update in my update manager thus I’m assuming its the kernel update) every time I try to switch from Nouveau to nvidia-driver-460 I get the follow error:

pk-client-error-quark: Error while installing package: installed nvidia-dkms-460 package post-installation script subprocess returned error exit status 10 (313)

When I restart I lose the display on my second monitor and I would be prompted to run Driver Manager and install a driver. So I switch to Nouveau and everything works great again (minus the performance obviously).

Due to the fact he has a similar error code I went through all the troubleshooting this gentleman went through with no luck (putting *nvidia appropriately). The only thing I did not try is his «solution» at the bottom. My hard drive is 1tb of which is 91% empty so I didn’t quite understand how his solution solved the issue.

A gentleman mentions a patch in this post but I cannot find what he is talking about exactly. This is the same issue I have.

Any suggestions would be greatly appreciate (short of «format again»). I have been using timeshift religiously since I realized almost every update from Linux Mint requires a complete system format (I thought it was my hard drive but I bought a brand new one for this particular machine). If the worst case scenario is I have to use Nouveau until some patch comes along that’s fine, just want to exhaust all options. In the mean time I’ll continue to translate my skills from Photoshop, Maya, and Unity to GIMP, Blender, and Godot. Muscle memory and hot keys.

Источник

Linux Mint Forums

Welcome to the Linux Mint forums!

[SOLVED] Issue when installing nvidia-driver

[SOLVED] Issue when installing nvidia-driver

Post by DaddyWesker » Tue Jun 29, 2021 7:55 am

I’m using Linux Mint 20.1. I’ve updated kernel to 5.11.0-22-generic today as suggested here https://forums.developer.nvidia.com/t/u . /167681/29 for making it happen to use my laptop with Ryzen 5800H and rtx 3070 normally since i’ve got black screen today at the morning after nvidia driver was updated using «apt upgrade» command (yes, i know, i shouldn’t have) and wasn’t able to beat it just by purging nvidia driver and reinstalling it through Driver manager (purging let me enter linux mint normally, but i need nvidia drivers for my work, and after installing it from driver manager i’ve got black screen again and again with nvidia-460 and nvidia-465). So, i’ve tried to update kernel and now i’m trying to install nvidia drivers. Unfortunately, i can’t do it since i’m receiving following through driver manager
«pk-client-error-quark: Error while installing package: installed nvidia-dkms-460 package post-installation script subprocess returned error exit status 10 (313)»

When i’m trying to install it using «sudo apt install nvidia-driver-460» i’m receiving following error:

Re: Issue when installing nvidia-driver

Post by DaddyWesker » Tue Jun 29, 2021 10:16 am

Well, fixed that by:
sudo apt install —reinstall linux-headers-$(uname -r)
sudo apt install —reinstall build-essential
sudo apt install —reinstall dkms
sudo apt install —reinstall linux-generic

then reboot. Then
sudo apt install nvidia-dkms-460
then
sudo apt install nvidia-driver-460
Then reboot.

Unfortunately, i’ve met black screen again. It seems, kernel update doesn’t helped here. Though, i’ve switched to discrete graphics only in bios and now i can finally login to the laptop (though it hadn’t worked at all previously before kernel update). Well, i wish i know how to fix that too, so i can use nvidia card only for computing and amd integrated card for screen. But, at least i can work again.

Re: Issue when installing nvidia-driver

Post by SMG » Tue Jun 29, 2021 1:55 pm

How did you «purge» the nvidia driver?

You have not yet provided the output of inxi -Fxxxrz as requested in Section 5 of READ: How To Get Help!, so we do not know the specifics of your laptop’s hardware or how Mint sees it. It makes it harder for anyone to be able to help without that information.

Re: Issue when installing nvidia-driver

Post by DaddyWesker » Fri Jul 02, 2021 7:02 am

. Currently, i’m using «only discrete» in BIOS so it could be the reason inxi doesn’t see nothing else than nvidia’s rtx card.

Unfortunately, i don’t remember was this switch was «switchable» or «only discrete» when i was installing linux mint since it was some time ago. Is it possible to check somehow?

Re: Issue when installing nvidia-driver

Post by SMG » Fri Jul 02, 2021 12:42 pm

That is how to purge them on a desktop system. When doing that on a laptop, that also removes the nvidia-prime and nvidia-prime-applet Mint files which are used for switchable graphics.

The switchable files were originally set up for systems with Intel-Nvidia combinations. There have been recent updates so the status of AMD-Nvidia combinations are registered in the applet. You can reinstall the applet with sudo apt-get install nvidia-prime-applet .

I helped someone two months ago in this thread [SOLVED] Random black screen on boot (nvidia) with what appears to be the same laptop as you have. At that time, the 5.11 kernel was not available in Update Manager. However, I do not know if one still needs to manually add the green sardine firmware in addition to the 5.11 kernel. Since you are still having issues, my guess would be that you do. (That person used the 5.10-oem kernel because that was the newest Ubuntu kernel in the Mint repositories at the time of that thread.)

Here is a post for adding green sardine firmware (which is the same one referenced in the [SOLVED] thread in the prior paragraph).

Источник

Linux Mint Forums

Welcome to the Linux Mint forums!

[SOLVED]initramfs-tools and dpkg error while installing Broadcom driver

[SOLVED]initramfs-tools and dpkg error while installing Broadcom driver

Post by scusa » Tue Nov 24, 2020 3:34 am

Apologies if I have chosen the wrong section to post this query, as you can see, I am very new to Linux environment and the Linux Mint forums. I finally made the jump to Linux Mint from Windows 10 about 3 weeks back and I regret not having done it earlier. All was good and I was learning with usage till last night when I got a prompt from ‘Update Centre’ and upgraded some components including the Kernel. The Broadcom wireless drivers stopped working this morning(first boot after upgrade) and I tried everything to fix it but to no avail.

1) During graphical install of BCM43142 using ‘ Driver Manager‘, I run into this every time:

pk-client-error-quark: Error while installing package: installed bcmwl-kernel-source package post-installation script subprocess returned error exit status 10 (313)

2) Tried running: dpkg —configure -a

5) Finally, I tried installing initramfs-tools itself.

Any help in resolving the issue will be highly appreciated. Thank you for taking the time out to go through the issue I posted.

P.S: Tried dpkg —configure -a —force-depends as well, not fixing the issue.

Re: initramfs-tools and dpkg error while installing Broadcom driver

Post by sleeper12 » Tue Nov 24, 2020 12:38 pm

Re: initramfs-tools and dpkg error while installing Broadcom driver

Post by scusa » Wed Nov 25, 2020 2:50 am

Hi Sleeper12, thank you very much for replying. I did run it with sudo, just forgot to mention that here. BTW, managed to solve it. Turns out that the issue was wrt free space available in /boot partition. The free space available was autoremove and autoclean:

«sudo apt purge linux-headers-* linux-headers-*-generic linux-image-*-generic linux-image-extra-*-generic linux-signed-image-*-generic» — where * is the version number. So, if the kernel is 5.4.0-26, then the command will look like- sudo apt purge linux-headers-5.4.0-26 linux-headers-5.4.0-26-generic linux-image-5.4.0-26-generic linux-image-extra-5.4.0-26-generic linux-signed-image-5.4.0-26-generic

I know it’s not a good idea to tamper with it manually, but it was the only way I could free up some space and solve the issue. All dpkg and initramfs-tools related issues resolved after this. However, «pk-client-error-quark: Error while installing package: installed bcmwl-kernel-source package post-installation script subprocess returned error exit status 10 (313)» this error continued during graphical install. Here’s what I did: —

(a) sudo apt purge *broadcom*
(b) sudo apt purge *bcmwl*
(c) sudo apt install broadcom-sta-dkms
(d) Restart system

Solved the issue of BCM43142 wireless adapter not functioning in my Mint system.

Источник

dkms error exit status 10 on rt73-k2wrlz

Affects Status Importance Assigned to Milestone
linux (Ubuntu)

Bug Description

After an update to Karmic of the kernel a DKMS modules doesn’t build. After that the wireless card is not working.

$ apt-get dist-upgrade
Setting up linux-headers- 2.6.31- 12-generic (2.6.31-12.39) .
Examining /etc/kernel/ header_ postinst. d.
run-parts: executing /etc/kernel/ header_ postinst. d/dkms
* Running DKMS auto installation service for kernel 2.6.31-12-generic
* bcmwl (5.10.91. 9+bdcom) .
bcmwl (5.10.91.9+bdcom): Already installed on this kernel.
[ OK ]
* rt73-k2wrlz (3.0.3).
rt73-k2wrlz (3.0.3): Installing module.
. (bad exit status: 10)
Build failed. Installation skipped.

$ lsusb
Bus 001 Device 002: ID 0db0:6877 Micro Star International RT2573

$ tail /var/log/ dkms_autoinstal ler
bcmwl (5.10.91.9+bdcom): Already installed on this kernel.
rt73-k2wrlz (3.0.3): Installing module.
. (bad exit status: 10)
Build failed. Installation skipped

This procedure worked correctly and wireless was working under jaunty.
extra.. less relevant system information:

$ uname -a
Linux jurjen-laptop 2.6.31-11-generic #38-Ubuntu SMP Fri Oct 2 11:55:55 UTC 2009 i686 GNU/Linux
$ cat /proc/version_ signature
Ubuntu 2.6.31- 11.38-generic

ProblemType: Bug
Architecture: i386
AudioDevicesInUse:
USER PID ACCESS COMMAND
/dev/snd/ controlC0: jurjen 2418 F. pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
Card hw:0 ‘Intel’/’HDA Intel at 0xfe138000 irq 16’
Mixer name : ‘Realtek ALC883’
Components : ‘HDA:10ec0883, 14623f03, 00100002 HDA:11c13026, 11c13026, 00100700’
Controls : 31
Simple ctrls : 19
Date: Tue Oct 6 18:22:40 2009
DistroRelease: Ubuntu 9.10
HibernationDevice: RESUME= UUID=a12a5647- 95ee-4e71- 97e0-8d1bf30567 88
IwConfig:
lo no wireless extensions.

eth3 no wireless extensions.
MachineType: MICRO-STAR INT’L CO.,LTD. MS-1613
Package: linux-generic 2.6.31.12.23
PccardctlIdent:
Socket 0:
no product info available
PccardctlStatus:
Socket 0:
no card
ProcCmdLine: root=UUID= 518f873a- b4f3-41af- 91e2-9d8eca59c7 32 ro quiet splash
ProcEnviron:
LANG=en_US.UTF-8
SHELL=/bin/bash
ProcVersionSign ature: Ubuntu 2.6.31- 11.38-generic
RelatedPackageV ersions:
linux- backports- modules- 2.6.31- 11-generic N/A
linux-firmware 1.20
RfKill:

SourcePackage: linux-meta
Uname: Linux 2.6.31-11-generic i686
WpaSupplicantLog:

Источник

Читайте также:  Sem standard error mean
Оцените статью
toolgir.ru
Adblock
detector